# kate_motion Struct Reference

`#include <kate.h>`

## Data Fields
size_t | ncurves
kate_curve ** | curves
kate_float * | durations
kate_motion_mapping | x_mapping
kate_motion_mapping | y_mapping
kate_motion_semantics | semantics
unsigned int | periodic:1

## Detailed Description

defines a motion - well, try to find a better explanation

## Field Documentation

kate_curve** kate_motion::curves

the list of curves in this motion

Referenced by kate_motion_get_point().

kate_float* kate_motion::durations

the durations of each curve

Referenced by kate_motion_get_point().

size_t kate_motion::ncurves

number of curves in this motion

Referenced by kate_motion_get_point().

unsigned int kate_motion::periodic

if true, repeats periodically (loops)

Referenced by kate_motion_get_point().

kate_motion_semantics kate_motion::semantics

what use this motion has

kate_motion_mapping kate_motion::x_mapping

how to remap the x coordinate of the points

Referenced by kate_tracker_update_property_at_duration().

kate_motion_mapping kate_motion::y_mapping

how to remap the y coordinate of the points

Referenced by kate_tracker_update_property_at_duration().

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h